// Code generated by go-swagger; DO NOT EDIT.

package errors_v2

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"net/http"

	"github.com/go-openapi/runtime"

	"gitlab.com/gitlab-org/opstrace/opstrace/go/pkg/errortracking/gen/models"
)

// ListErrorsV2OKCode is the HTTP code returned for type ListErrorsV2OK
const ListErrorsV2OKCode int = 200

/*
ListErrorsV2OK Success

swagger:response listErrorsV2OK
*/
type ListErrorsV2OK struct {
	/*Link header containing pagination information (previous and next pages). https://docs.gitlab.com/ee/api/#pagination-link-header

	 */
	Link string `json:"Link"`

	/*
	  In: Body
	*/
	Payload []*models.ErrorV2 `json:"body,omitempty"`
}

// NewListErrorsV2OK creates ListErrorsV2OK with default headers values
func NewListErrorsV2OK() *ListErrorsV2OK {

	return &ListErrorsV2OK{}
}

// WithLink adds the link to the list errors v2 o k response
func (o *ListErrorsV2OK) WithLink(link string) *ListErrorsV2OK {
	o.Link = link
	return o
}

// SetLink sets the link to the list errors v2 o k response
func (o *ListErrorsV2OK) SetLink(link string) {
	o.Link = link
}

// WithPayload adds the payload to the list errors v2 o k response
func (o *ListErrorsV2OK) WithPayload(payload []*models.ErrorV2) *ListErrorsV2OK {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the list errors v2 o k response
func (o *ListErrorsV2OK) SetPayload(payload []*models.ErrorV2) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *ListErrorsV2OK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	// response header Link

	link := o.Link
	if link != "" {
		rw.Header().Set("Link", link)
	}

	rw.WriteHeader(200)
	payload := o.Payload
	if payload == nil {
		// return empty array
		payload = make([]*models.ErrorV2, 0, 50)
	}

	if err := producer.Produce(rw, payload); err != nil {
		panic(err) // let the recovery middleware deal with this
	}
}

// ListErrorsV2NotFoundCode is the HTTP code returned for type ListErrorsV2NotFound
const ListErrorsV2NotFoundCode int = 404

/*
ListErrorsV2NotFound Error not found

swagger:response listErrorsV2NotFound
*/
type ListErrorsV2NotFound struct {
}

// NewListErrorsV2NotFound creates ListErrorsV2NotFound with default headers values
func NewListErrorsV2NotFound() *ListErrorsV2NotFound {

	return &ListErrorsV2NotFound{}
}

// WriteResponse to the client
func (o *ListErrorsV2NotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.Header().Del(runtime.HeaderContentType) //Remove Content-Type on empty responses

	rw.WriteHeader(404)
}

// ListErrorsV2InternalServerErrorCode is the HTTP code returned for type ListErrorsV2InternalServerError
const ListErrorsV2InternalServerErrorCode int = 500

/*
ListErrorsV2InternalServerError Internal error

swagger:response listErrorsV2InternalServerError
*/
type ListErrorsV2InternalServerError struct {
}

// NewListErrorsV2InternalServerError creates ListErrorsV2InternalServerError with default headers values
func NewListErrorsV2InternalServerError() *ListErrorsV2InternalServerError {

	return &ListErrorsV2InternalServerError{}
}

// WriteResponse to the client
func (o *ListErrorsV2InternalServerError) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.Header().Del(runtime.HeaderContentType) //Remove Content-Type on empty responses

	rw.WriteHeader(500)
}
